Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support import resume

POST/workspaces/{organizationId}/support/imports/{importId}/resume
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
importIdstringrequired
Request body
application/json
One of:
object
sourcestringrequired
Allowed:intercom
credentialsobjectrequired
Show properties
tokenstringrequired
min length 1
optionsobject
Show properties
teamIdstring
statestring
default: "all"
Allowed:openclosedsnoozedall
limitinteger
min 1 · max 1000
cursorstring
teamNamestring
object
sourcestringrequired
Allowed:jam
credentialsobjectrequired
Show properties
dataobject[]required
optionsobject
Show properties
limitinteger
min 1 · max 1000 · default: 50
cursorstring
object
sourcestringrequired
Allowed:jam-mcp
credentialsobjectrequired
Show properties
tokenstringrequired
min length 1
optionsobject
Show properties
limitinteger
min 1 · max 100 · default: 25
afterstring
textstring
typestring
Allowed:videoscreenshotsessionReplayrecording
folderstring
authorstring
urlstring
createdAtstring
object
sourcestringrequired
Allowed:plain
credentialsobjectrequired
Show properties
tokenstringrequired
min length 1
optionsobject
Show properties
statestring
default: "all"
Allowed:tododonesnoozedall
limitinteger
min 1 · max 1000
cursorstring
teamIdstring
teamNamestring
object
sourcestringrequired
Allowed:zendesk
credentialsobjectrequired
Show properties
subdomainstringrequired
min length 1
emailstring<email>required
tokenstringrequired
min length 1
optionsobject
Show properties
statestring
default: "all"
Allowed:openpendingholdsolvedclosedall
limitinteger
min 1 · max 1000
cursorstring
Responses
200

Import resumed

okbooleanrequired
sourcestringrequired
jobIdstringrequired
statusstringrequired
countsobject
nextCursorstring
404

Import not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/imports/string/resume' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "source": "intercom",
  "credentials": {
    "token": "string"
  },
  "options": {
    "teamId": "string",
    "state": "open",
    "limit": 1,
    "cursor": "string",
    "teamName": "string"
  }
}'
Response
{
  "ok": true,
  "source": "string",
  "jobId": "string",
  "status": "string",
  "counts": {
    "property1": 0,
    "property2": 0
  },
  "nextCursor": "string"
}

Was this page helpful?